*{
    box-sizing: border-box; /* Ensure padding and border are included in element's total width and height */
    margin: 0;
    padding: 0;
}

body, html {
    height: 100%; /* Ensure html and body take full viewport height */
    overflow-x: hidden; /* Prevent horizontal scrollbar */
}

body {
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    width: 100%;
    margin: 0;
    display: flex;
    flex-direction: column; /* Arrange content vertically */
    min-height: 100vh; /* Keep this on the body */
}

h1,
h2,
p {
    font-size: 16px;
}

.main-content{
    display: flex;
    align-items: center;
    justify-content: center;
}

.main-content h1,h2,p{
    display: inline;
}

.container {
    width: 100%;
    max-width: none;
    padding: 0;
    flex: 1; /* Allow container to expand to fill available space */
    display: flex;
    flex-direction: column;
}

section {
    padding: 20px;
    margin-bottom: 20px;
    max-height: 600px; /* Adjust this value as needed */
}

section img { /* Target the image inside the section*/
    object-fit: contain; /* or cover */
    max-height: 100%; /* Image should not exceed the section's height */
    width: auto; /* Maintain aspect ratio */
    display: block; /* Prevents inline spacing issues */
    margin: 0 auto; /* Center the image */
}

.button-container {
    margin-top: 20px;
    padding: 20px;
}
.button {
    /* background-color: transparent; */
    border: 2px solid white;
    color: white;
    padding: 15px 25px;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    display: inline-block;
    margin: 0 10px;
}
.button:hover {
    background-color: #102E39;
    color: white;
}
.whatsapp-button {
    border-color: white;
    color:white;
}
.whatsapp-button:hover {
    background-color: transparent;
}
.facebook-button {
    border-color: white;
    color: white;
}
.facebook-button:hover {
    background-color: transparent;
}
.button i {
    margin-right: 5px;
}
footer {
    background-color: #102E39;
    color: white;
    text-align: center;
    padding: 10px;
    width: 100%;
    margin-top: auto; /* Push footer to the bottom */
}
.footer-content {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

header {
    background-color: #102E39;
    color: white;
    text-align: center;
    padding: 20px;
    width: 100%;
}
header h1, header p {
    color: white;
}

.text-center img {
    display: block;
    margin: 0 auto;
    max-width: 100%; /* Make image responsive */
    height: auto; /* Maintain aspect ratio */
}

.mt-5.mb-5 p {
    display: inline; /* Keep the inline display for larger screens */
    white-space: normal; /* Allow text to wrap */
    overflow: visible; /* Show all text */
    text-overflow: clip; 
}

.mt-5.mb-5 h1, .mt-5.mb-5 h2 {
    display: inline;
}

/* Extra small devices (less than 576px)
   No media query needed as this is the default */

/* Small devices (576px and up) */
@media (min-width: 576px) {
    /* Styles for small screens and up */
  }
  
  /* Medium devices (768px and up) */
  @media (min-width: 768px) {
    /* Styles for medium screens and up */
  }
  
  /* Large devices (992px and up) */
  @media (min-width: 992px) {
    section {
        padding: 20px;
        margin-bottom: 20px;
        max-height: none 
    }
  }
  
  /* Extra large devices (1200px and up) */
  @media (min-width: 1200px) {

  }
  
  /* XX-Large devices (1400px and up) */
  @media (min-width: 1400px) {
section {
    padding: 20px;
    margin-bottom: 20px;
    max-height: 600px;
}
}